Stepper.Setup syntax error on 1.53.3

Here we can discuss about the problem found
Post Reply
User avatar
Electroguard
Posts: 925
Joined: Mon Feb 08, 2021 6:22 pm
Has thanked: 305 times
Been thanked: 347 times

Stepper.Setup syntax error on 1.53.3

Post by Electroguard »

Normally my policy is "if it aint broke, leave it alone".
But was eager to upgrade to 1.53.3 for the wonderful new interface benefits.
Unfortunately, when testing after, it stops with a syntax error at STEPPER.SETUP
I tried just omitting the channel number (which was the original problem), but it wasn't that.
This was its first firmware upgrade since the multi-channel STEPPER.SETUP was fixed, so I don't know whether the problem has crept in with this latest 1.53.3, or perhaps snuck in previously.

stepper error.jpg
You do not have the required permissions to view the files attached to this post.
User avatar
cicciocb
Site Admin
Posts: 2168
Joined: Mon Feb 03, 2020 1:15 pm
Location: Toulouse
Has thanked: 468 times
Been thanked: 1443 times
Contact:

Re: Stepper.Setup syntax error on 1.53.3

Post by cicciocb »

The stepper is not included by default in the firmware.
You must use a version that includes STP in the name

edit: I just updated the 1.53.4 with the STP
User avatar
Electroguard
Posts: 925
Joined: Mon Feb 08, 2021 6:22 pm
Has thanked: 305 times
Been thanked: 347 times

Re: Stepper.Setup syntax error on 1.53.3

Post by Electroguard »

Thanks again.
Post Reply